<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "gMap"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1 / November 2013 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');

// Sprache
$translator->addTranslation('gmap',CPO_BASEDIR.$activeModules[$directory]['directory'].'/lang');

// Seitenausgabe ********************************************************
include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/producer.inc.php');

// Header
require(CPO_BASEDIR.'_include/header.php');

printPageHeader(
	__('Map'),
	__('In this view the predefined templates will be installed.'),
	'http://manual.conpresso4.de/gmap/setup.htm',
	true,
	'modules'
);

$place_link = '<a href="../'.$activeModules[$directory]['directory'].'/places.php" target="'.$activeModules[$directory]['directory'].'" onclick="window.open(this.href, \''.$activeModules[$directory]['directory'].'\', \'width=450,height=350\'); return false">'.__('Get coordinates').'</a>';

// STEP 1: create map template
$template_name = __('Location [GMAP]');

$query = "INSERT INTO ".$dbPrefix."_templates (`id`, `name`, `tpl_first`, `tpl_detail`, `tpl_javascript`, `c_time`, `changer`) VALUES ('', '".$template_name."', '<p>\n<a name=\"<!-- Value: articlenr -->\"></a><div class=\"morelink\"><a href=\"../<!-- Value: Rubric; directory; -->/detail.php?nr=<!-- Value: articlenr -->&rubric=<!-- Value: Rubric; name; -->\"><!-- Text: Bezeichnung; strip_tags; --></a></div>\n<div><!-- Text: PLZ; strip_tags; --> <!-- Text: Ort; strip_tags; -->\n</p>', '<!-- ifSet: Bezeichnung; --><h2><!-- Text: Bezeichnung; strip_tags; --></h2><!-- /ifSet -->\n<p><!-- ifSet: Nachname; --><!-- Text: Vorname; strip_tags; --> <!-- Text: Nachname; strip_tags; --><br /><!-- /ifSet -->\n<!-- ifSet: Strasse / Hausnummer; --><!-- Text: Strasse / Hausnummer; strip_tags; --><br /><!-- /ifSet -->\n<!-- ifSet: Ort; --><!-- Text: PLZ; strip_tags; --> <!-- Text: Ort; strip_tags; --><br /><br /><!-- /ifSet -->\n<!-- ifSet: Telefonnummer; -->Tel. <!-- Text: Telefonnummer; strip_tags; --><br /><!-- /ifSet -->\n<!-- ifSet: Mobiltelefon; -->Mobil-Tel. <!-- Text: Mobiltelefon; strip_tags; --><br /><!-- /ifSet -->\n<!-- ifSet: Fax-Nummer; -->Fax <!-- Text: Fax-Nummer; strip_tags; --><br /><!-- /ifSet -->\n<!-- ifSet: E-Mail; --><div class=\"emaillink\"><!-- Text: E-Mail; strip_tags; --></div><!-- /ifSet -->\n<!-- ifSet: Homepage; --><div class=\"externallink\"><a href=\"<!-- Text: Homepage; strip_tags; -->\" target=\"_blank\"><!-- text: Homepage; strip_tags; --></a></div><!-- /ifSet -->\n<!-- ifSet: Bemerkungen; -->Bemerkungen:<br />\n<!-- Text: Bemerkungen; strip_tags; nl2br; --><br /><!-- /ifSet -->\n</p>\n<div class=\"backlink\"><!-- URL: Index; starttag; -->Zurck zur bersicht</a></div> ', '<h2><!-- Text: Bezeichnung; strip_tags; --></h2>\n<p>\n<div><!-- Text: PLZ; strip_tags; --> <!-- Text: Ort; strip_tags; -->\n</p>\n<div class=\"morelink\" style=\"text-align: right;\"><a href=\"../<!-- Value: Rubric; directory; -->/detail.php?nr=<!-- Value: articlenr -->&rubric=<!-- Value: Rubric; name; -->\">mehr &raquo;</a></div>', '".date('Y-m-d H:i:s')."', 'GMAP-MODULE');";
$db->query($query);
// anschlieend die Nummer des Templates ermiteln
$query = 'SELECT last_insert_id()';
$db->query($query); 
$db->next_record();
$GLOBALS['modules'][$directory]['locations_template'] = $db->v('last_insert_id()');
$location_template_id = $db->v('last_insert_id()');

// Placeholder-Tabelle ergnzen
$ddata = addslashes(serialize(array('label'=>'', 'short'=>'1')));
$idata = addslashes(serialize(array('label'=>'', 'noquery'=>'1', 'linktype'=>'3')));
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'Bezeichnung', 1, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'Vorname', 2, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'Nachname', 3, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'Strasse / Hausnummer', 4, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'PLZ', 5, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'Ort', 6, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'Telefonnummer', 7, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'Mobiltelefon', 8, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'Fax-Nummer', 9, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'Homepage', 10, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'E-Mail', 11, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, 'Bemerkungen', 12, '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, '".__('Longitude')."', 13, '".addslashes(serialize(array('label'=>$place_link, 'short'=>'1')))."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, '".__('Latitude')."', 14, '".addslashes(serialize(array('label'=>$place_link, 'short'=>'1')))."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 4, '".__('Icon')."', 15, '".addslashes(serialize(array('short'=>'1', 'label'=>'', 'inputmethod'=>'select', 'maximumlength'=>'', 'presetting'=>'../mod_gmap/images/marker.png = Default\n../mod_gmap/images/blau.png = blaue Fahne\n../mod_gmap/images/rot.png = rote Fahne\n../mod_gmap/images/gelb.png = gelbe Fahne')))."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$location_template_id.", 5, 'Index', 16, '".$idata."');";
$db->query($query);
  
$message[] = sprintf(__('The location template <i>%s</i> was created.'),$template_name);

// STEP 2: create map demo rubric & save to settings


//[GMAP] Demo-Orte Rubrik
$query= "INSERT INTO ".$dbPrefix."_rubric (directory, name, seclevel, source_rubric_id, settings) VALUES('_rubric', '[GMAP] Demo-Orte', 0, 0, '"
	.'a:26:{s:17:"disableRubricText";s:0:"";s:5:"title";s:16:"[GMAP] Demo-Orte";s:15:"metaDescription";s:61:"In dieser Rubrik werden einige Beispiel-Locations gespeichert";s:12:"metaKeywords";s:0:"";s:15:"noArticlesFound";s:23:"Keine Artikel gefunden.";s:12:"noOfArticles";s:2:"10";s:10:"newSorting";a:1:{i:0;s:12:"sort_id DESC";}s:18:"pagetemplate_index";s:1:"0";s:19:"pagetemplate_detail";s:1:"0";s:17:"standard_template";s:'.strlen($GLOBALS['modules'][$directory]['locations_template']).':"'.$GLOBALS['modules'][$directory]['locations_template'].'";s:8:"language";s:7:"deutsch";s:11:"date_format";s:0:"";s:16:"articleSeparator";s:0:"";s:14:"pager_previous";s:0:"";s:10:"pager_next";s:0:"";s:11:"pager_found";s:0:"";s:13:"pager_results";s:0:"";s:15:"showArchiveText";s:6:"Archiv";s:7:"sorting";s:12:"sort_id DESC";s:10:"edit_index";b:0;s:11:"showArchive";b:0;s:13:"disableRubric";b:0;s:11:"edit_author";b:0;s:10:"edit_email";b:0;s:12:"edit_initial";b:0;s:17:"pager_showresults";b:0;}'
	."')";
$db->query($query); 
$query = 'SELECT last_insert_id()';
$db->query($query); 
$db->next_record();
$GLOBALS['modules'][$directory]['locations_rubric'] = $db->v('last_insert_id()');
$GLOBALS['message'][] = sprintf(__('The demo rubric <em>%s</em> was created.'),'[GMAP] Demo-Orte');

// Die Rechte fr den Admin
$query = "INSERT INTO ".$dbPrefix."_permission (`id`, `user_id`, `rubric_id`, `stufe1`, `stufe2`, `stufe3`, `stufe4`) VALUES ('', 1, ".$GLOBALS['modules'][$directory]['locations_rubric'].", 1, 1, 1, 1);";
$db->query($query);

// Die Templates zuordnen
$query = "INSERT INTO ".$dbPrefix."_tpl_assignment (`rubric_id`, `templates_id`)  VALUES (".$GLOBALS['modules'][$directory]['locations_rubric'].", ".$GLOBALS['modules'][$directory]['locations_template'].");";
$db->query($query);

// STEP 4: insert demo articles
	
	// Frankfurt am Main
		$data = array();
        $data['rubric_id']    = $GLOBALS['modules'][$directory]['locations_rubric'];
        $data['titel']        = 'Frankfurt am Main';
        $data['templates_id'] = $GLOBALS['modules'][$directory]['locations_template'];
        $data['autor']        = 'mod_cart';

        $data['email']         = 'mod_gmap';
        $data['initial']       = 'mod_gmap';
        $data['changedBy']     = 'mod_gmap';
        $data['releasedby']    = $_SESSION['SID_user']['id'];
        $data['commentary']    = 'mod_gmap Demo-Artikel';
        $data['keywords']      = '';

		$data['content']['Bezeichnung (text)']['text'] = 'Frankfurt am Main';
		$data['content']['Bemerkungen (text)']['text'] = "Frankfurt am Main ist die grte Stadt des Landes Hessen und  nach Berlin, Hamburg, Mnchen und Kln  die fnftgrte Kommune der Bundesrepublik Deutschland. Das Stadtgebiet hat etwa 690.000, der engere Ballungsraum Frankfurt/Rhein-Main etwa 2,2 Millionen und die gesamte Metropolregion Rhein-Main 5,5 Millionen Einwohner.\nSeit dem Mittelalter gehrt Frankfurt zu den bedeutenden urbanen Zentren Deutschlands. 794 erstmals urkundlich erwhnt, war es seit dem Hochmittelalter Freie Reichsstadt und bis 1806 Wahl-, seit 1562 auch Krnungsstadt der rmisch-deutschen Kaiser. Von 1816 an war Frankfurt Freie Stadt, in der die Bundesversammlung des Deutschen Bundes und 1848/49 das erste frei gewhlte deutsche Parlament ihren Sitz hatten. Im Verlauf des Deutschen Krieges von Preuen annektiert, verlor Frankfurt 1866 seine Unabhngigkeit als Stadtstaat. Seit 1875 zhlte Frankfurt ber 100.000 Einwohner, seit 1928 mehr als 500.000.\nHeute ist Frankfurt ein wichtiges, internationales Finanzzentrum und ein bedeutendes Industrie-, Messe- und Dienstleistungszentrum. Es wird unter konomischen Kriterien zu den Weltstdten gezhlt. Frankfurt ist Sitz der Europischen Zentralbank, der Deutschen Bundesbank, der Frankfurter Wertpapierbrse, zahlreicher Finanzinstitute (u. a. Deutsche Bank, Commerzbank, DZ Bank, KfW) und der Messe Frankfurt.</p><p>Durch die zentrale Lage ist Frankfurt ein europischer Verkehrsknotenpunkt. Der Frankfurter Flughafen gehrt zu den weltweit grten Flughfen, der Frankfurter Hauptbahnhof ist ein zentraler Knotenpunkt im Bahnverkehr und das Frankfurter Kreuz der meistbefahrene Straenknotenpunkt Deutschlands. Weiterhin ist der DE-CIX in Frankfurt, gemessen am Durchsatz, der grte Internet-Knoten fr Datenaustausch weltweit.\nEine Besonderheit ist die Skyline der Stadt: Wegen der Hochhuser, die zu den hchsten Europas gehren, wird Frankfurt gelegentlich als Mainhattan bezeichnet.";
		$data['content']['Breitengrad (text)']['text'] = '50.110556';
		$data['content']['Lngengrad (text)']['text'] = '8.682222';

        save_article($data);

        $GLOBALS['message'][] = sprintf(__('The article %s was successfully saved.'), '<em>'.htmlspecialchars($data['titel'], ENT_COMPAT, 'ISO-8859-15').'</em>');

	// Mnchen
		$data = array();
        $data['rubric_id']    = $GLOBALS['modules'][$directory]['locations_rubric'];
        $data['titel']        = 'Mnchen';
        $data['templates_id'] = $GLOBALS['modules'][$directory]['locations_template'];
        $data['autor']        = 'mod_cart';

        $data['email']         = 'mod_gmap';
        $data['initial']       = 'mod_gmap';
        $data['changedBy']     = 'mod_gmap';
        $data['releasedby']    = $_SESSION['SID_user']['id'];
        $data['commentary']    = 'mod_gmap Demo-Artikel';
        $data['keywords']      = '';

		$data['content']['Bezeichnung (text)']['text'] = 'Mnchen';
		$data['content']['Bemerkungen (text)']['text'] = "Mnchen (bairisch Minga) ist die Landeshauptstadt des Freistaates Bayern. Sie ist mit rund 1,5 Millionen Einwohnern, davon rund 25 Prozent Auslnder, die grte Stadt Bayerns und nach Berlin und Hamburg die drittgrte Stadt der Bundesrepublik Deutschland sowie die zwlftgrte der Europischen Union.\nMnchen ist eine kreisfreie Stadt und zudem Verwaltungssitz des die Stadt umgebenden Landkreises Mnchen sowie des Landratsamtes, des Bezirks Oberbayern und des Regierungsbezirks Oberbayern. Die Stadt ist auerdem Zentrum der Planungsregion Mnchen, in der mehr als 2,7 Millionen Menschen leben, und der europischen Metropolregion Mnchen mit rund 5,6 Millionen Einwohnern. Mnchen wird unter konomischen Kriterien zu den Weltstdten gezhlt.\nMnchen wurde 1158 erstmals urkundlich erwhnt. 1255 wurde die Stadt bayerischer Herzogssitz, war ab 1328 kaiserliche Residenzstadt und wurde 1506 alleinige Hauptstadt Bayerns. Mnchen ist Sitz zahlreicher nationaler und internationaler Behrden sowie wichtiger Hochschulen, bedeutender Museen und Theater. Durch eine groe Anzahl sehenswerter Bauten, internationaler Sportveranstaltungen, Messen und Kongresse sowie das Oktoberfest ist Mnchen ein Anziehungspunkt fr den Tourismus. Mnchen ist eine der wirtschaftlich erfolgreichsten und am schnellsten wachsenden Grostdte Deutschlands und Sitz zahlreicher Konzerne und Versicherungen. Die Stadt ist nach Frankfurt am Main das zweitwichtigste Finanzzentrum Deutschlands und zugleich einer der bedeutendsten Finanzpltze weltweit.\nIn der Stdteplatzierung des Beratungsunternehmens Mercer belegte Mnchen im Jahr 2012 unter fnfzig Grostdten weltweit nach Infrastruktur den zweiten und nach Lebensqualitt den vierten Platz.";
		$data['content']['Breitengrad (text)']['text'] = '48.137222';
		$data['content']['Lngengrad (text)']['text'] = '11.575556';

        save_article($data);

        $GLOBALS['message'][] = sprintf(__('The article %s was successfully saved.'), '<em>'.htmlspecialchars($data['titel'], ENT_COMPAT, 'ISO-8859-15').'</em>');

	// Kln
		$data = array();
        $data['rubric_id']    = $GLOBALS['modules'][$directory]['locations_rubric'];
        $data['titel']        = 'Kln';
        $data['templates_id'] = $GLOBALS['modules'][$directory]['locations_template'];
        $data['autor']        = 'mod_cart';

        $data['email']         = 'mod_gmap';
        $data['initial']       = 'mod_gmap';
        $data['changedBy']     = 'mod_gmap';
        $data['releasedby']    = $_SESSION['SID_user']['id'];
        $data['commentary']    = 'mod_gmap Demo-Artikel';
        $data['keywords']      = '';

		$data['content']['Bezeichnung (text)']['text'] = 'Kln';
		$data['content']['Bemerkungen (text)']['text'] = "Kln ist mit mehr als einer Million Einwohnern die einwohnerstrkste Stadt des Landes Nordrhein-Westfalen und die viertgrte der Bundesrepublik Deutschland. Sie wurde in rmischer Zeit unter dem Namen Oppidum Ubiorum gegrndet und als Colonia Claudia Ara Agrippinensium (CCAA) zur Stadt erhoben. Sie ist fr ihre 2000-jhrige Geschichte, ihr kulturelles und architektonisches Erbe, besonders den Klner Dom, sowie fr ihre international bedeutenden Veranstaltungen bekannt.\nDie gnstige Lage am Rhein mit der Querung bedeutender West-Ost-Handelsstraen und dem Sitz weltlicher und insbesonderem kirchlicher Macht trugen zur besonderen Bedeutung Klns bei. Die Stadt wurde so zu einem wichtigen Handelsstandort. Ihre Bedeutung als Verkehrsknotenpunkt wird durch das hohe Eisenbahnverkehrsaufkommen und den Umschlagbahnhof Kln Eifeltor belegt, der zu den wichtigsten seiner Art gehrt. Ergnzt wird die Infrastruktur durch die Binnenhfen und den Flughafen Kln/Bonn.\nKln besitzt als Wirtschafts- und Kulturmetropole internationale Bedeutung und gilt als eines der fhrenden Zentren fr den weltweiten Kunsthandel. Die Karnevalshochburg ist auerdem Sitz vieler Verbnde und Medienunternehmen mit zahlreichen Fernsehsendern, Musikproduzenten und Verlagshusern. Die Stadt ist ebenfalls Sitz der Universitt zu Kln (ca. 46.000 Studenten), der Fachhochschule Kln (ca. 21.000) und zahlreicher weiterer Hochschulen.";
		$data['content']['Breitengrad (text)']['text'] = '50.938056';
		$data['content']['Lngengrad (text)']['text'] = '6.956944';

        save_article($data);

        $GLOBALS['message'][] = sprintf(__('The article %s was successfully saved.'), '<em>'.htmlspecialchars($data['titel'], ENT_COMPAT, 'ISO-8859-15').'</em>');

	// Berlin
		$data = array();
        $data['rubric_id']    = $GLOBALS['modules'][$directory]['locations_rubric'];
        $data['titel']        = 'Berlin';
        $data['templates_id'] = $GLOBALS['modules'][$directory]['locations_template'];
        $data['autor']        = 'mod_cart';

        $data['email']         = 'mod_gmap';
        $data['initial']       = 'mod_gmap';
        $data['changedBy']     = 'mod_gmap';
        $data['releasedby']    = $_SESSION['SID_user']['id'];
        $data['commentary']    = 'mod_gmap Demo-Artikel';
        $data['keywords']      = '';

		$data['content']['Bezeichnung (text)']['text'] = 'Berlin';
		$data['content']['Bemerkungen (text)']['text'] = "Berlin ist die Hauptstadt der Bundesrepublik Deutschland. Als eigenes Land ist Berlin mit ber 3,3 Millionen Einwohnern die bevlkerungsreichste und mit 892 Quadratkilometern die flchengrte Kommune Deutschlands sowie nach Einwohnern die zweitgrte der Europischen Union. Berlin bildet das Zentrum der Metropolregion Berlin/Brandenburg (5,8 Millionen Einwohner) und der Agglomeration Berlin (4,4 Millionen Einwohner). Der Stadtstaat unterteilt sich in zwlf Bezirke. Neben den Flssen Spree und Havel befinden sich im Stadtgebiet kleinere Fliegewsser sowie zahlreiche Seen und Wlder.\nErstmals 1237 urkundlich erwhnt, war Berlin im Verlauf der Geschichte und in verschiedenen Staatsformen Residenz- und Hauptstadt Brandenburgs, Preuens und des Deutschen Reichs. Ab 1949 war der Ostteil der Stadt faktisch Hauptstadt der Deutschen Demokratischen Republik. Mit der Deutschen Wiedervereinigung im Jahr 1990 war Berlin wieder gesamtdeutsche Hauptstadt und wurde in der Folge wieder Sitz der Regierung, des Bundesprsidenten, des Deutschen Bundestags, des Bundesrats sowie zahlreicher Ministerien und Botschaften.\nBerlin gilt als Weltstadt der Kultur, Politik, Medien und Wissenschaften. Die Stadt ist ein bedeutender europischer Verkehrsknotenpunkt und eines der meistbesuchten Zentren des Kontinents. Die Sportereignisse, Universitten, Forschungseinrichtungen und Museen Berlins genieen internationalen Ruf. In der Stadt leben Firmengrnder, Knstler und Einwanderer aus aller Welt. Berlins Architektur, Festivals, Nachtleben, und vielfltige Lebensbedingungen sind weltweit bekannt.";
		$data['content']['Breitengrad (text)']['text'] = '52.518611';
		$data['content']['Lngengrad (text)']['text'] = '13.408056';

        save_article($data);

        $GLOBALS['message'][] = sprintf(__('The article %s was successfully saved.'), '<em>'.htmlspecialchars($data['titel'], ENT_COMPAT, 'ISO-8859-15').'</em>');


// Finale Meldung ************************************************************************************
$message[] = sprintf(__('Now you should work on the <a href="%s">module settings</a> or return to the <a href="%s">module management</a>.'),
				BASE_ABS.$directory.'/settings.php',
				BASE_ABS.'_admin/modules.php');

include(CPO_BASEDIR.'_include/message.php');

// ==== footer =====
include(CPO_BASEDIR.'_include/footer.php');

?>

