<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "gMap"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1 / November 2013 ==

*/

$doGMap = true;
$points = array();
$markers = array();


// **************************************************************************

    $permission = '';

	// Rubrikeneinschrnkung *************************************
    $qrubrics = '';
    if (isset($activeModules[$directory]['rubrics']) && $activeModules[$directory]['rubricsUse'] != 'off') {
        $qrubrics = 'AND '.CPO_NEWS.'.rubric_id '.$activeModules[$directory]['rubricsUse'].' ('
                    . implode (', ', $activeModules[$directory]['rubrics']) . ') ';
    }
    if (!isset($activeModules[$directory]['rubrics']) 
        && $activeModules[$directory]['rubricsUse'] != 'off') {
        $qrubrics = 'AND '.CPO_NEWS.'.rubric_id '.$activeModules[$directory]['rubricsUse'].' (0)';
    }

    
    //$qrubrics = ' AND '.CPO_NEWS.'.rubric_id=148';
	// Rubrikeneinschrnkung *************************************

    // Zeitraum **************************************************
	$pub_datum     = "AND pub_datum<='".date('Y-m-d H:i:s')."' ";
	$verfallsdatum = " AND verfallsdatum>='".date('Y-m-d H:i:s', time())."' "; // FIX ME Was ist mit Verfallsdatum???
	// Zeitraum **************************************************

	// Secure ****************************************************
	// geschlossene Rubriken und personalisierte Artikel, die der User sehen darf
	$sec_rubrics .= 'AND (seclevel=0';

	$db_sec = new DB;
	$query = 'SELECT rubric_id FROM '.CPO_RUBRIC_PERMISSION.' '
			."WHERE usergroups_id='".addslashes($_SESSION['SID_user']['usergroups_id'])."'";
	$db_sec->query($query);
	if ($db_sec->num_rows()>0)  {
		$sec_rubrics .= ' OR '.CPO_NEWS.'.rubric_id IN (';
		$c = '';
		while ($db_sec->next_record())  {
			$sec_rubrics .= $c.(int)$db_sec->v('rubric_id');
			$c = ', ';
		}
		$sec_rubrics .= ')';
	}
	if ($_SESSION['SID_user']['usergroups_id']>0) {
		$sec_rubrics .= " OR auth LIKE '%#".$_SESSION['SID_user']['usergroups_id']."#%'";  
	}
	$sec_rubrics .= ') ';
	// Secure ****************************************************

    // Freigabe *************************************************
	$freigabe = 'AND '.($cpoSystem['release'] 
				? 'artikel_archiv<2 AND freigabe='.STATE_RELEASED.' ' 
				: 'artikel_archiv<1 AND freigabe!='.STATE_BLOCKED.' ');
	// Freigabe *************************************************

	// Feldnamen *************************************************
	// nur Eintrge mit Lnge, Breite und Icon benutzen
	$fieldnames = "AND ("
				. " fieldname='".$activeModules[$directory]['latitudePH']."' OR"
				. " fieldname='".$activeModules[$directory]['longitudePH']."' OR"
				. " fieldname='".$activeModules[$directory]['iconPH']."' "
				. ") "; 
	// Feldnamen *************************************************

	// ALL THE WHERES *******************************************
	$AND_WHERE_string = $permission.$freigabe.$pub_datum.$verfallsdatum.$fieldnames.$sec_rubrics.$qrubrics;
	// ALL THE WHERES *******************************************

// rubric_id, commentary, verfallsdatum, templates_id, nr, idx, email, autor, pub_datum, titel, initial, freigabe, changer, last_modify, text, fieldname, name, directory

	$mapquery = "SELECT "
//			. " nr, titel, text, fieldname, name, directory "
			. " rubric_id, commentary, verfallsdatum, templates_id, nr, idx, email, autor, pub_datum, titel, initial, freigabe, changer, last_modify, text, fieldname, name, directory "
			. " FROM " . CPO_NEWS . ", " . CPO_RUBRIC . ", " . CPO_CONTENT_TEXT . "  "
			. " WHERE " . CPO_NEWS . ".rubric_id=" . CPO_RUBRIC . ".id "
			. " AND " . CPO_NEWS . ".nr=" . CPO_CONTENT_TEXT . ".article_id "
			. $AND_WHERE_string;
	$mapdb = new DB; 
	$mapdb->query($mapquery); 
	$map_values_count = $mapdb->num_rows(); 
//    echo $map_values_count;
	$pagetype = 'php';
//    echo $mapquery;

    $defaultIcon = '../mod_gmap/images/marker.png';

	while($mapdb->next_record()) { 

		//$points[$nr]['icon'] = $defaultIcon;
        $nr=$mapdb->v('nr'); 
		if ($mapdb->v('fieldname') == $activeModules[$directory]['latitudePH'])     $points[$nr]['latitude']  = $mapdb->v('text');
		if ($mapdb->v('fieldname') == $activeModules[$directory]['longitudePH'])    $points[$nr]['longitude'] = $mapdb->v('text');
		if ($mapdb->v('fieldname') == $activeModules[$directory]['iconPH']) {
            $points[$nr]['icon']      = $mapdb->v('text');
            $markers[basename($points[$nr]['icon'],'.png')] = $points[$nr]['icon'];
        }
        if ($points[$nr]['latitude'] == '') continue;
        if ($points[$nr]['longitude'] == '') continue;
        
		$points[$nr]['nr'] = $nr;
		$points[$nr]['text'] = $mapdb->v('titel');
		$points[$nr]['url'] = '../'.$mapdb->v('directory').'/detail.php?rubric='.$mapdb->v('name').'&nr='.$nr;

		$GLOBALS['lastUpdated'] = 0;
		$db_template      = $mapdb->v('templates_id');
		$db_nr            = $mapdb->v('nr');
		$db_idx           = $mapdb->v('idx');
		$db_email         = $mapdb->v('email');
		$db_autor         = $mapdb->v('autor');
		$db_changer       = $mapdb->v('changer');
		$db_pub_datum     = $mapdb->v('pub_datum');
		$db_verfallsdatum = $mapdb->v('verfallsdatum');
		$db_commentary    = $mapdb->v('commentary');
		$db_titel         = $mapdb->v('titel');
		$db_initial       = $mapdb->v('initial');
		$db_freigabe      = $mapdb->v('freigabe');
		$db_rubric_id     = $mapdb->v('rubric_id');
		$db_last_modify   = $mapdb->v('last_modify');
		if ($GLOBALS['lastUpdated']<strtotime($db_last_modify)) {
			$GLOBALS['lastUpdated'] = strtotime($db_last_modify);
		}
		ob_start(); 
		$noImagesize = true;
		$noHidemails = true;
		require(CPO_BASEDIR.'_include/select_template.php');
		$noImagesize = false;
		$noHidemails = false;
		$output = ob_get_contents();                  
		$output = preg_replace("/(\015\012)|(\015)|(\012)/", '', $output);
		$output = str_replace("'", "\\'", $output);
		$points[$nr]['nr'] = $nr;                  
		$points[$nr]['title'] = $db_titel;                  
		$points[$nr]['html'] = $output;                  
		ob_end_clean(); 

	}


// **************************************************************************

// images
//print_r ($points);

$js_init = "<script type=\"text/javascript\" src=\"http://maps.google.com/maps/api/js?v=3.12&amp;sensor=false\"></script>
<script type=\"text/javascript\">

google.maps.visualRefresh = false;
var geocoder;
var map;

function initialize() {

// die Karteneinstellungen
var myOptions = {
".$activeModules[$directory]['mapOptions']."
}

// die Karte
map = new google.maps.Map(document.getElementById('map_canvas'),myOptions); 

// das Info-Fenster
var infowindow = new google.maps.InfoWindow();

// das bei Bedarf auch verschwindet
google.maps.event.addListener(map, 'click', function() { infowindow.close(); });

// die verwendeten Symbole
  // Origins, anchor positions and coordinates of the marker
  // increase in the X direction to the right and in
  // the Y direction down.
";
//print_r ($markers);
foreach( $points AS $point ) {
    if (!$point['icon']) {
        $points[$point['nr']]['icon'] = $defaultIcon;
        $markers[basename($defaultIcon,'.png')] = $defaultIcon;
    }
}

foreach ($markers AS $markerName => $markerFile)  {

    $size = getimagesize($markerFile);
    $markerWidth  = $size[0];
    $markerHeight = $size[1];

    $js_init .= "var ".$markerName."_image = new google.maps.MarkerImage(
      '".$markerFile."', 
      new google.maps.Size(".$markerWidth.", ".$markerHeight."), 
      new google.maps.Point(0, 0), 
      new google.maps.Point(".(floor($markerWidth/2)).", ".$markerHeight.")
    );\n";
    $shadowfile = dirname($markerFile).'/'.$markerName.'_shadow.png';
    if (file_exists($shadowfile))  {
        $size = getimagesize($shadowfile);
        $shadowWidth  = $size[0];
        $shadowHeight = $size[1];

        $js_init .= "var ".$markerName."_shadow = new google.maps.MarkerImage(
          '".$shadowfile."', 
          new google.maps.Size(".$shadowWidth.", ".$shadowHeight."), 
          new google.maps.Point(0, 0), 
          new google.maps.Point(".(floor($markerWidth/2)).", ".$markerHeight.")
        );\n";
    }
}
$js_init .= "// die Locations
";

foreach( $points AS $point ) {

    if ($point['latitude'] == '') continue;
    if ($point['longitude'] == '') continue;

    $js_init .= "	var marker".$point['nr']." = new google.maps.Marker({ "."\n";
    $js_init .= "        position: new google.maps.LatLng(".$point['latitude'].", ".$point['longitude']."), "."\n";
    $js_init .= "        map: map, "."\n";
    $js_init .= "        icon: ".basename($point['icon'],'.png')."_image, "."\n";

    $shadowfile = dirname($point['icon']).'/'.basename($point['icon'],'.png').'_shadow.png';
    if (file_exists($shadowfile)) $js_init .= "        shadow: ".basename($point['icon'],'.png')."_shadow, "."\n";
    $js_init .= "        animation: google.maps.Animation.DROP,\n";
    $js_init .= "        title: '".$point['title']."'"."\n";
    $js_init .= "        }); "."\n";
    $js_init .= "	google.maps.event.addListener(marker".$point['nr'].", \"click\", function() {  "."\n";
    $js_init .= "        if (infowindow) { infowindow.close(); } "."\n";
    $js_init .= "        infowindow.setContent ( '".addslashes($point['html'])."');   "."\n";
    $js_init .= "        infowindow.open(map,marker".$point['nr'].");"."\n";
    $js_init .= "        }); "."\n";
    $js_init .= "	if (document.getElementById(\"showLoc".$point['nr']."\")) google.maps.event.addDomListener(document.getElementById(\"showLoc".$point['nr']."\"), \"click\", function() {  "."\n";
    $js_init .= "        if (infowindow) { infowindow.close(); } "."\n";
    $js_init .= "        map.setCenter(marker".$point['nr'].".getPosition());   "."\n";
    $js_init .= "        map.setZoom(10);   "."\n";
    $js_init .= "        }); "."\n";

}

$js_init .= " 
}

function showLoc(loc,zoom){
	geocoder = new google.maps.Geocoder();
	geocoder.geocode( { 'address': loc}, function(results, status) {
        if (status == google.maps.GeocoderStatus.OK) {
          map.setCenter(results[0].geometry.location);
          map.setZoom(zoom);
        } else {
          alert(loc+' nicht gefunden. Grund: ' + status);
        }
    });
}

function setMaxZoomCenter(map, latlng) {
  map.getCurrentMapType().getMaxZoomAtLatLng(latlng, function(response) {
    if (response && response['status'] == G_GEO_SUCCESS) {
      map.setCenter(latlng, response['zoom']);
    }
  });
}

</script>
";

$mapDiv = $gMap_cp.$js_init.'<div id="map_canvas"style="height:' . $activeModules[$directory]['height'] . 'px;width:' . $activeModules[$directory]['width'] . 'px;"></div>'."\n\n";

$mapReset = $gMap_cp.'<div id="gmap_reset"><a href="javascript:initialize();">' . $activeModules[$directory]['reset'] . '</a></div>'."\n\n";

$capitals = explode(';',$activeModules[$directory]['capitals']);
$linkString = '';
foreach ($capitals AS $capital) $linkString .= '<a href="javascript:showLoc(\''.$activeModules[$directory]['country'].' '.trim($capital).'\',10);">'.trim($capital).'</a> ';
$mapLinks = $gMap_cp.'<div id="gmap_links">'.$linkString.'</div>'."\n\n";

$searchForm = explode(';',$activeModules[$directory]['searchForm']);
$searchString = $searchForm[0].' <input type="text" id="Ort" value="'.$searchForm[1].'"  onfocus="if(this.value==\''.$searchForm[1].'\') this.value=\'\';"  onblur="if(this.value==\'\') this.value=\''.$searchForm[1].'\';" onKeyDown="if(event.keyCode==13) showLoc(\''.$activeModules[$directory]['country'].' \'+document.getElementById(\'Ort\').value,10)" /> <a href="javascript:showLoc(\''.$activeModules[$directory]['country'].' \'+document.getElementById(\'Ort\').value,10);">'.$searchForm[2].'</a>';
$mapSearch = $gMap_cp.'<div id="gmap_search">'.$searchString.'</div>'."\n\n";

$mapStart = $gMap_cp.'<script type="text/javascript">initialize();</script>'."\n\n";
