<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "gMap"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1 / November 2013 ==

*/

define('CPO', true);
require_once('../_include/common.inc.php');
$directory = basename(dirname($_SERVER['PHP_SELF']));

require(CPO_BASEDIR.'_include/var_category.php');
require(CPO_BASEDIR.'_include/secure.php');

// the includes ***********************************************************************************
if (array_key_exists($directory, $activeModules)) include(CPO_BASEDIR.$directory.'/includes/map.inc.php');

if (!array_key_exists($directory, $activeModules)) {
    $translator->addTranslation('gmap', CPO_BASEDIR.$directory.'/lang');
    $message[] = ___('The map is currently disabled.');
	$mapbreak = true;
}
$pagetype = 'index';

ob_start();
include(CPO_BASEDIR.'_include/message.php');
if ( $activeModules[$directory]['showArticles'] == "before" ) require(CPO_BASEDIR.'_includesite/i_index.php');
if (!$mapbreak) {
    echo $mapDiv;
    echo $mapReset;
    echo $mapLinks;
    echo $mapSearch;
}
if ( $activeModules[$directory]['showArticles'] == "after" ) require(CPO_BASEDIR.'_includesite/i_index.php');
if (!$mapbreak) {
    echo $mapStart;
}
$showMap = ob_get_clean();


// header and footer mechanism
if (($cpoRubricSettings['pagetemplate_'.$pagetype]==0 && $activeModules[$directory]['pagetemplate_index'] == -2) || $activeModules[$directory]['pagetemplate_index']==0) {
    include(CPO_BASEDIR.$directory.'/loadheaders.php');
    echo $showMap;
	include(CPO_BASEDIR.$directory.'/loadfooters.php');
    exit;
}

// fetch pagetemplate from database and build page
$pagetemplate = ($activeModules[$directory]['pagetemplate_index']==-2) ? $cpoRubricSettings['pagetemplate_'.$pagetype] : $activeModules[$directory]['pagetemplate_index'];

$db = new DB;
$db->query('SELECT pagetemplate FROM '.CPO_PAGETEMPLATES.' '
    .'WHERE id='.(int)$pagetemplate.' '
);
$db->next_record();
$pageTemplate = $db->v('pagetemplate');
$pageTagsPreg = '/<!--\s*page\s*:\s*articles\s*(?!id=)[^>]\s*-->/isU'; // nur der Artikelplatzhalter der aktuellen Rubrik, also OHNE id
$pageTemplate = preg_replace ($pageTagsPreg, $showMap, $pageTemplate);
require CPO_BASEDIR.'_include/buildpage.inc.php';

?>
